IM_EYE(3)

NAME
im_eye, im_feye - creates a pattern which shows the spatial response of the human visual system

SYNOPSIS
#include <vips/vips.h> int im_eye(image, xsize, ysize, factor)
IMAGE *image;
int xsize, ysize;
double factor; int im_feye(image, xsize, ysize, factor)
IMAGE *image;
int xsize, ysize;
double factor;

DESCRIPTION
im_feye() creates an one band float image with pels in [-1,+1] of a pattern which has the following properties:
- the spatial frequency increases from left to right.
- the grey level intensity decreases from top to bottom.
The sizes of the produced image are determined by the entered arguments xsize and ysize. The variable factor which should be between 0 and 1, determines the number of maximum spatial frequencies present along the horizontal direction. im_eye() behaves exactly as im_feye(), but scales the output to [0,255].

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_grey(3), im_zone(3).

COPYRIGHT
N. Dessipris

AUTHOR
N. Dessipris - 10/05/1991